    The XSPEC laor model: accretion disk, black hole emission line.

xslaor
The xslaor model is an additive model component.

The model is described at [1] .

The ring and routg parameters have been renamed to

rin_g and rout_g respectively to match the XSPEC definition. The names ring and routg can still be used to access the parameters, but they will be removed in a future release.

>>> create_model_component("xslaor", "mdl")
>>> print(mdl)

Create a component of the xslaor model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.lineE thawed 6.4 0 100 keV mdl.Index frozen 3 -10 10 mdl.Rin_G frozen 1.235 1.235 400 mdl.Rout_G frozen 400 1.235 400 mdl.Incl frozen 30 0 90 deg mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
lineE
The rest-frame line energy, in keV.
Index
The power law dependence of emissivity (scales as R^-Index).
Rin_G
The inner radius, in units of GM/c^2.
Rout_G
The outer radius, in units of GM/c^2.
Incl
The disk inclination angle, in degrees. A face-on disk has Incl=0.
norm
The flux in the line, in units of photon/cm^2/s.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelLaor.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023